package eu.mhsl.craftattack.spawn.appliances.feedback;

import eu.mhsl.craftattack.spawn.appliance.Appliance;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.event.ClickEvent;
import net.kyori.adventure.text.event.HoverEvent;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

import java.util.List;

public class Feedback extends Appliance {
    public void requestFeedback(String eventName) {
        List<Player> players = Bukkit.getOnlinePlayers().stream()
            .map(player -> (Player) player)
            .toList();

        requestFeedback(eventName, players);
    }

    public void requestFeedback(String eventName, List<Player> receivers) {
        receivers.forEach(player -> player.sendMessage(
            Component.text()
                .append(Component.text("------------------------------", NamedTextColor.GRAY))
                .appendNewline()
                .append(Component.text("Klicke hier und gib Feedback, damit wir dein Spielerlebnis verbessern können!", NamedTextColor.GREEN)
                    .clickEvent(ClickEvent.openUrl(String.format("https://www.google.com/search?q=%s", eventName))))
                    .hoverEvent(HoverEvent.showText(Component.text("Klicke, um Feedback zu geben.").color(NamedTextColor.GOLD)))
                .appendNewline()
                .append(Component.text("------------------------------", NamedTextColor.GRAY))
        ));
    }
}
